from uuid import UUID

from pydantic import BaseModel, ConfigDict


class TypeBaseSchema(BaseModel):
    name: str | None = None


class TypeIdSchema(BaseModel):
    id: UUID

    model_config = ConfigDict(from_attributes=True)


class TypeSchema(TypeBaseSchema, TypeIdSchema):
    pass
