from uuid import UUID

from pydantic import BaseModel, ConfigDict


class CategoryBaseSchema(BaseModel):
    name: str | None = None


class CategoryIdSchema(BaseModel):
    id: UUID

    model_config = ConfigDict(from_attributes=True)


class CategorySchema(CategoryBaseSchema, CategoryIdSchema):
    pass
